//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ArrayOfSUNLevel1 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ArrayOfSUNLevel1"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SUNLevel1" type="{urn:ams.se:Taxonomy}SUNLevel1" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ArrayOfSUNLevel1", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "sunLevel1"
})
public class ArrayOfSUNLevel1 {

    @XmlElement(name = "SUNLevel1", nillable = true)
    protected List<SUNLevel1> sunLevel1;

    /**
     * Gets the value of the sunLevel1 property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the Jakarta XML Binding object.
     * This is why there is not a <CODE>set</CODE> method for the sunLevel1 property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSUNLevel1().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SUNLevel1 }
     * 
     * 
     */
    public List<SUNLevel1> getSUNLevel1() {
        if (sunLevel1 == null) {
            sunLevel1 = new ArrayList<SUNLevel1>();
        }
        return this.sunLevel1;
    }

}
